Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc
Interface IPortlet

All Superinterfaces:
  IObject, IPortletBase

public interface IPortlet
extends IPortletBase

Interface that represents a Portlet instance in the portal.

Method Summary
`void` | `addCommunityPortletSetting(int communityID, java.lang.String name, java.lang.String value)` Adds a CommunityPortlet setting for the Portlet.
`java.lang.String` | `getCommunityPortletSetting(int communityID, java.lang.String settingName)` Gets the value for a particular CommunityPortlet setting for the Portlet.
`java.util.Enumeration` | `getCommunityPortletSettingNames(int communityID)` Gets an enumeration of the names of current CommunityPortlet settings for the Portlet.
`int` | `getTemplateID()` Returns the template ID associated with this Portlet instance.
`int[]` | `queryContainingCommunities()` Returns an array of IDs of Communities that contain this Portlet instance.
`void` | `removeCommunityPortletSetting(int communityID, java.lang.String name)` Removes a CommunityPortlet setting for the Portlet.

Methods inherited from interface com.plumtree.remote.prc.IPortletBase
`addAdminSetting, createGatewayLink, getAdminSetting, getAdminSettingNames, getAlignment, getWebServiceID, removeAdminSetting, setAlignment`

Methods inherited from interface com.plumtree.remote.prc.IObject
`getDescription, getID, getName, getParentFolderID, save, setDescription, setName`

Method Detail

### getTemplateID

    public int getTemplateID()
                      throws java.net.MalformedURLException

  Returns the template ID associated with this Portlet instance.

  Returns:
    the ID of the template from which this Portlet instance was made
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid

### queryContainingCommunities

    public int[] queryContainingCommunities()
                                     throws java.net.MalformedURLException,
                                            PortalException,
                                            java.rmi.RemoteException

  Returns an array of IDs of Communities that contain this Portlet instance.

  Returns:
    an array of IDs of Communities that contain this Portlet instance
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### getCommunityPortletSettingNames

    public java.util.Enumeration getCommunityPortletSettingNames(int communityID)
                                                          throws java.net.MalformedURLException,
                                                                 PortalException,
                                                                 java.rmi.RemoteException

  Gets an enumeration of the names of current CommunityPortlet settings for the Portlet.

  Parameters:
    `communityID` - the ID of the Community to retrieve the settings for
  Returns:
    an enumeration of CommunityPortlet setting names
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### getCommunityPortletSetting

    public java.lang.String getCommunityPortletSetting(int communityID,
                                                       java.lang.String settingName)
                                                throws java.net.MalformedURLException,
                                                       PortalException,
                                                       java.rmi.RemoteException

  Gets the value for a particular CommunityPortlet setting for the Portlet.

  Parameters:
    `settingName` - the setting name
    `communityID` - the ID of the community to get the setting for
  Returns:
    the setting value
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### addCommunityPortletSetting

    public void addCommunityPortletSetting(int communityID,
                                           java.lang.String name,
                                           java.lang.String value)
                                    throws java.net.MalformedURLException,
                                           PortalException,
                                           java.rmi.RemoteException

  Adds a CommunityPortlet setting for the Portlet. CommunityPortlet settings are specific to a particular Portlet in a particular Community. If there is already a CommunityPortlet setting of the same name, this method will overwrite it. Note: This setting will not be saved in the portal until `save()` is called.

  Parameters:
    `name` - the name of the new setting to add
    `value` - the value of the setting to add
    `communityID` - the ID of the community to add the setting for
  Throws:
    `java.lang.IllegalArgumentException` - if the method passed an invalid (blank) setting name
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

### removeCommunityPortletSetting

    public void removeCommunityPortletSetting(int communityID,
                                              java.lang.String name)
                                       throws java.net.MalformedURLException,
                                              PortalException,
                                              java.rmi.RemoteException

  Removes a CommunityPortlet setting for the Portlet. If the CommunityPortlet setting was not set for the Portlet previously, this method will have no effect. Note: This setting will not be removed from the portal until `save()` is called.

  Parameters:
    `name` - the name of the setting to remove
    `communityID` - the ID of the community to remove the setting from
  Throws:
    `java.net.MalformedURLException` - if the query interface URL is not valid
    `PortalException` - if the operation resulted in an error in the portal
    `java.rmi.RemoteException` - if there was a communication problem during the execution of the remote method call

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.